﻿html, body {
    margin: 0;
    height: 100%;
    min-height: 100%;
    font-family: 'Segoe UI';
    position: relative;
    overflow: auto;
}

.pagecontainer {
    background-color: white;
    position: relative;
    padding: 1%;
    top: 98px;
    left: 1%;
    width: 96%;
    min-height: 80vh;
    overflow-y: auto;
    -webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    vertical-align: text-top;
    margin-bottom: 2em;
}

.modal-body {
    position: relative;
    padding: 20px;
    height: 200px;
    overflow-y: scroll;
}

.gradasi {
    background-color: #18FFAD;
    background-repeat: no-repeat;
}

.boxshadow {
    -webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
}

.loginform {
    position: fixed;
    background-color: #353535;
    text-align: center;
    vertical-align: middle;
    -webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    top: 50%;
    margin-top: -200px;
    left: 50%;
    margin-left: -300px;
}

.loginpanel {
    height: 400px;
    width: 600px;
}

.appstatus {
    background-color: #e8e8e8;
    position: fixed;
    left: 0%;
    bottom: 0%;
    width: 100%;
    height: 2em;
    z-index: 100;
    vertical-align: middle;
}

.appprogressbar {
    background-color: #ff0000;
    position: fixed;
    left: 0%;
    bottom: 2.5em;
    width: 100%;
    z-index: 100;
    vertical-align: middle;
    padding: 0;
    margin: 0;
}


.btn {
    background: #57bcff;
    background-image: -webkit-linear-gradient(top, #57bcff, #1781bf);
    background-image: -moz-linear-gradient(top, #57bcff, #1781bf);
    background-image: -ms-linear-gradient(top, #57bcff, #1781bf);
    background-image: -o-linear-gradient(top, #57bcff, #1781bf);
    background-image: linear-gradient(to bottom, #57bcff, #1781bf);
    -webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    border-radius: 6px;
    border: none;
    font-family: Arial;
    color: #ffffff;
    font-size: 14px;
    padding: 15px 50px 15px 50px;
    text-decoration: none;
}

    .btn:hover {
        background: #a3dcff;
        background-image: -webkit-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -moz-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -ms-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -o-linear-gradient(top, #a3dcff, #83b8db);
        background-image: linear-gradient(to bottom, #a3dcff, #83b8db);
        -webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
        -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
        box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
        text-decoration: none;
    }

.btn2 {
    border-style: none;
    border-color: inherit;
    border-width: 0;
    background-position: 0% 0%;
    background-image: linear-gradient(to bottom, #57bcff, #1781bf);
    /*-webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);*/
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    font-family: Arial;
    color: #ffffff;
    font-size: 14px;
    width: 80px;
    height: 30px;
    padding: 0;
    text-decoration: none;
    display: block;
    float: left;
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
    background-color: #57bcff;
    background-repeat: repeat;
    background-attachment: scroll;
}

    .btn2:hover {
        background: #a3dcff;
        background-image: -webkit-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -moz-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -ms-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -o-linear-gradient(top, #a3dcff, #83b8db);
        background-image: linear-gradient(to bottom, #a3dcff, #83b8db);
        /*-webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);*/
        text-decoration: none;
    }

    .btn2:disabled {
        background: #e4e4e4;
        background-image: -webkit-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -moz-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -ms-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -o-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: linear-gradient(to bottom, #e4e4e4, #83b8db);
    }


.btn3 {
    background: #57bcff;
    background-image: -webkit-linear-gradient(top, #57bcff, #1781bf);
    background-image: -moz-linear-gradient(top, #57bcff, #1781bf);
    background-image: -ms-linear-gradient(top, #57bcff, #1781bf);
    background-image: -o-linear-gradient(top, #57bcff, #1781bf);
    background-image: linear-gradient(to bottom, #57bcff, #1781bf);
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    border: 0;
    font-family: Arial;
    color: #ffffff;
    font-size: 14px;
    width: 60px;
    height: 30px;
    padding: 0;
    margin: 0;
    text-decoration: none;
    display: block;
    float: right;
}

    .btn3:hover {
        background: #a3dcff;
        background-image: -webkit-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -moz-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -ms-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -o-linear-gradient(top, #a3dcff, #83b8db);
        background-image: linear-gradient(to bottom, #a3dcff, #83b8db);
        /*-webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);*/
        text-decoration: none;
    }

    .btn3:disabled {
        background: #e4e4e4;
        background-image: -webkit-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -moz-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -ms-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -o-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: linear-gradient(to bottom, #e4e4e4, #83b8db);
    }

.btn4 {
    border-style: none;
    border-color: inherit;
    border-width: 0;
    background-position: 0% 0%;
    background-image: linear-gradient(to bottom, #57bcff, #1781bf);
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    font-family: Arial;
    color: #ffffff;
    font-size: 14px;
    padding: 5px;
    margin: 0;
    text-decoration: none;
    display: inline-block;
    background-color: #57bcff;
    background-repeat: repeat;
    background-attachment: scroll;
}

    .btn4:hover {
        background: #a3dcff;
        background-image: -webkit-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -moz-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -ms-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -o-linear-gradient(top, #a3dcff, #83b8db);
        background-image: linear-gradient(to bottom, #a3dcff, #83b8db);
        /*-webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
    box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);*/
        text-decoration: none;
    }

    .btn4:disabled {
        background: #e4e4e4;
        background-image: -webkit-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -moz-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -ms-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: -o-linear-gradient(top, #e4e4e4, #83b8db);
        background-image: linear-gradient(to bottom, #e4e4e4, #83b8db);
    }

.dropdown {
    position: relative;
    display: inline-block;
    width: 200px;
}

.dropdownbutton {
    background: #57bcff;
    background-image: -webkit-linear-gradient(top, #57bcff, #1781bf);
    background-image: -moz-linear-gradient(top, #57bcff, #1781bf);
    background-image: -ms-linear-gradient(top, #57bcff, #1781bf);
    background-image: -o-linear-gradient(top, #57bcff, #1781bf);
    background-image: linear-gradient(to bottom, #57bcff, #1781bf);
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    border: 0;
    font-family: Arial;
    color: #ffffff;
    font-size: 14px;
    padding: 0;
    margin: 0;
    width: 20px;
    height: 30px;
}

    .dropdownbutton:hover {
        background: #a3dcff;
        background-image: -webkit-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -moz-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -ms-linear-gradient(top, #a3dcff, #83b8db);
        background-image: -o-linear-gradient(top, #a3dcff, #83b8db);
        background-image: linear-gradient(to bottom, #a3dcff, #83b8db);
        text-decoration: none;
    }

.dropdownbuttonchild {
    width: 100%;
    display: block;
    margin-top: 0px;
    margin-left: 20px;
    text-align: left;
    padding: 5px;
}

dropdownbuttonchide:first-child {
    border-radius: 20px;
}

.dropdown-content {
    visibility: hidden;
    position: absolute;
    margin-top: -16.5px;
    margin-left: -60px;
    opacity: 0;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.dropdown:hover .dropdown-content {
    visibility: visible;
    margin-left: -20px;
    opacity: 1;
}



.btnarea {
    height: 40px;
    border-top: 2px solid;
    margin-bottom: 10px;
}
/*========================================================================menu========================================================================*/

#menu-bar {
    position: fixed;
    left: 0%;
    top: 0%;
    width: 100%;
    margin: 0px;
    padding: 0px;
    height: 60px;
    /*background: #C9C9C9;*/
    z-index: 999;
}

    #menu-bar li {
        top: 5px;
        margin: 0px 0px 6px 0px;
        padding: 0px 6px 0px 6px;
        float: left;
        position: relative;
        list-style: none;
    }

    #menu-bar a {
        font-weight: normal;
        font-family: verdana;
        font-style: normal;
        font-size: 12px;
        color: white;
        text-decoration: none;
        display: block;
        padding: 6px 20px 6px 20px;
        margin: 0;
        margin-bottom: 3px;
        border-radius: 3px;
        -webkit-border-radius: 3px;
        -moz-border-radius: 3px;
        text-shadow: 0px 0px 0px #000000;
    }

    #menu-bar .separator {
        height: 2px;
        background-color: darkgray;
    }

    #menu-bar li ul li a {
        margin: 0;
        border-radius: 0;
    }

    #menu-bar .active a, #menu-bar li:hover > a {
        background: #3a7bd5;
        color: #e2e2e2;
        text-shadow: 0px 0px 0px #FFFFFF;
    }

    #menu-bar ul li:hover a, #menu-bar li:hover li a {
        background: #3a7bd5;
        border: none;
        color: #e2e2e2;
        -box-shadow: none;
        -webkit-box-shadow: none;
        -moz-box-shadow: none;
    }

    #menu-bar ul a:hover {
        background: #5c97b5 !important;
        color: #FFFFFF !important;
        border-radius: 0;
        margin-left: 5px;
        -webkit-border-radius: 0;
        -moz-border-radius: 0;
    }

    #menu-bar li:hover > ul {
        visibility: visible;
        opacity: 1;
        margin-left: 10px;
    }

    #menu-bar ul {
        background: #3a6073;
        visibility: hidden;
        opacity: 0;
        margin: 0;
        padding: 0;
        width: 190px;
        z-index: 1000;
        position: absolute;
        top: 22px;
        left: 50px;
        border-radius: 3px;
        -webkit-border-radius: 3px;
        -moz-border-radius: 3px;
        -webkit-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
        -moz-box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
        box-shadow: 0px 9px 22px -2px rgba(0,0,0,0.67);
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        -ms-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

        #menu-bar ul li {
            float: none;
            margin: 0;
            padding: 0;
        }

        #menu-bar ul a {
            padding: 4px 0px 4px 15px;
            color: white !important;
            background: #3a6073;
            font-size: 12px;
            font-style: normal;
            font-family: 'trebuchet ms';
            font-weight: normal;
            text-shadow: 0px 0px 0px #FFFFFF;
            -webkit-transition: all 0.3s ease;
            -moz-transition: all 0.3s ease;
            -ms-transition: all 0.3s ease;
            transition: all 0.3s ease;
        }

        #menu-bar ul li:first-child > a {
            border-top-left-radius: 3px;
            -webkit-border-top-left-radius: 3px;
            -moz-border-radius-topleft: 3px;
            border-top-right-radius: 3px;
            -webkit-border-top-right-radius: 3px;
            -moz-border-radius-topright: 3px;
        }

        #menu-bar ul li:last-child > a {
            border-bottom-left-radius: 3px;
            -webkit-border-bottom-left-radius: 3px;
            -moz-border-radius-bottomleft: 3px;
            border-bottom-right-radius: 3px;
            -webkit-border-bottom-right-radius: 3px;
            -moz-border-radius-bottomright: 3px;
        }

    #menu-bar:after {
        content: ".";
        /*display: block;*/
        clear: both;
        visibility: hidden;
        line-height: 0;
        height: 0;
    }

#menu-bar {
    display: inline-block;
}

html[xmlns] #menu-bar {
    /*display: block;*/
    visibility: visible;
}

* html #menu-bar {
    height: 1%;
}

/*========================================================================Sitemap========================================================================*/
.sitemap {
    position: fixed;
    left: 0%;
    top: 53px;
    width: 100%;
    margin: 0px;
    padding: 0px;
    padding-left: 3%;
    padding-top: 1%;
    height: 26px;
    vertical-align: middle;
    background-color: #e4e4e4;
    font-size: 12px;
    -webkit-box-shadow: 0px 9px 15px -2px rgba(0,0,0,0.60);
    -moz-box-shadow: 0px 9px 15px -2px rgba(0,0,0,0.60);
    box-shadow: 0px 9px 15px -2px rgba(0,0,0,0.60);
}

    .sitemap a {
        text-decoration: none;
    }

.glassbg {
    background: #3a7bd5; /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #3a6073, #3a7bd5); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #3a6073, #3a7bd5); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.ratakanan {
    text-align: right;
}

.smallbutton {
    text-align: center;
    vertical-align: middle;
    background: #d0d0d0;
    border: 1px solid #a8a8a8;
    border-radius: 2px;
    width: 18px;
    display: inline-block;
    margin-top: 0px;
    height: 20px;
}

    .smallbutton:hover {
        background: #ebeaea;
    }

    .smallbutton:disabled {
        background: #ebeaea;
        border: none;
    }

.panelmodal {
    background-color: blue;
    width: 500px;
    height: 400px;
    margin-top: -200px;
    margin-left: -250px;
    top: 50%;
    left: 50%;
    position: fixed;
    z-index: 1000;
}

#myProgress {
    width: 100%;
    background-color: #ddd;
    z-index: 100000000;
    position: fixed;
    bottom: 2em;
    left: 0;
}

#myBar {
    width: 0%;
    height: 5px;
    background-color: #4CAF50;
    text-align: center;
    line-height: 15px;
    color: white;
}

.gvECOMcontainer {
    overflow-x: hidden;
    overflow-y: scroll;
    background-color: #e4e4e4;
}

.lima {
    width: 5%;
}

.sepuluh {
    width: 10%;
}

.limabelas {
    width: 15%;
}

.fixgridviewheader {
    /*border: 0.5px solid black;*/
    background-color: #57bcff;
}

.lightborder {
    border: 0.5px solid #dcdcdc;
}

.maxtop {
    z-index: 100000 !important;
}

.headerbutton {
    border-style: none;
    border-color: inherit;
    border-width: medium;
    /*display: block;*/
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    color: white;
    background-color: #0963d0;
    padding: 0;
    margin-left: 0;
    margin-right: 0;
}

.fit {
    width: auto;
    height: 100%;
}

.btnhover {
    /*display:none;*/
    opacity: 0;
    transition: opacity 0.3s ease;
}

    .myimg:hover + .btnhover, .btnhover:hover {
        /*display:inline-block;*/
        opacity: 1;
    }

.loadingimage {
    display: inline-block;
    width: 100px;
}

.maxwidth {
    min-width: 100%;
}

.wrap {
    white-space: normal;
    width: 100px;
}

.GridPager a, .GridPager span {
    display: block;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    padding: 2px;
}

.GridPager a {
    background-color: #f5f5f5;
    color: #969696;
    border: 1px solid #969696;
}

.GridPager span {
    background-color: #A1DCF2;
    color: #000;
    border: 1px solid #3AC0F2;
}

.gvtextbox {
    width: 100%;
    height: 24px;
    vertical-align: top;
    display: inline-block;
    border-style: none;
}
